=head1 NAME

virt-host-validate - validate host virtualization setup

=head1 SYNOPSIS

B<virt-host-validate> [I<OPTIONS>...] [I<HV-TYPE>]

=head1 DESCRIPTION

This tool validates that the host is configured in a suitable
way to run libvirt hypervisor drivers. If invoked without any
arguments it will check support for all hypervisor drivers it
is aware of. Optionally it can be given a particular hypervisor
type ('qemu', 'lxc' or 'bhyve') to restrict the checks
to those relevant for that virtualization technology

=head1 OPTIONS

=over 4

=item C<-v>, C<--version>

Display the command version

=item C<-h>, C<--help>

Display the command line help

=item C<-q>, C<--quiet>

Don't display details of individual checks being performed.
Only display output if a check does not pass.

=back

=head1 EXIT STATUS

Upon successful validation, an exit status of 0 will be set. Upon
failure a non-zero status will be set.

=head1 AUTHOR

Daniel P. Berrange

=head1 BUGS

Report any bugs discovered to the libvirt community via the
mailing list L<https://libvirt.org/contact.html> or bug tracker
L<https://libvirt.org/bugs.html>.
Alternatively report bugs to your software distributor / vendor.

=head1 COPYRIGHT

Copyright (C) 2012 by Red Hat, Inc.

=head1 LICENSE

virt-host-validate is distributed under the terms of the GNU GPL v2+.
This is free software; see the source for copying conditions. There
is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE

=head1 SEE ALSO

L<virsh(1)>, L<virt-pki-validate(1)>, L<virt-xml-validate(1)>

=cut
